Holger's Java API

## com.antelmann.util
Interface ProcessorHook<T,E extends Exception>

All Known Implementing Classes:
  ArchiveDBClassStore, CategoryStore, DBClassStoreCache, DBDocumentStore, DetailRowStore, FriendsEntryStore, GenericPropertyEntryStore, GPersonRelationStore, GPersonStore, ImageURLEntrySQLStore, JDBCRowStore, ProcessorList, PropertyEntryHeaderStore, PropertyEntryTableStore, ReadOnlyStore, RelationshipStore, SortedGroupableSQLStore, SQLColumnInfoStore, TaggableHeaderStore, TaggablePropertyEntrySQLStore, TaggableSQLStore, UnionSqlStore, UserImplStore, WrappedDBClassStore, WrappedDBClassStoreMapping

    public interface ProcessorHook<T,E extends Exception>

ProcessorHook objects allow to register multiple Processor instances for processing purposes

Since:
  23.06.2014, 20:28:11
Author:
  holger

Method Summary
`void` `add(Processor<T,? extends E> p)`
`boolean` `remove(Processor<T,? extends E> p)`

Method Detail

### add

    void add(Processor<T,? extends E> p)

### remove

    boolean remove(Processor<T,? extends E> p)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads